\version "2.10.25"
%{
@title     Blue lady part 2
@copyright 1978 (77 ? 79 ?) Frederic G. MARAND
@license   Tous droits réservés
@version   2011-11-14

Le premier thème est depuis souvent une basse de piano et non une voix seule
%}

\header {
  title      = "Blue lady"
  subtitle   = "part 2"
  composer   = "FGM"
  copyright  = "ca 1978"
}

\paper{
  %page-top-space = 3\mm
  between-system-padding = 3\mm
  between-system-space = 0\mm
  foot-separation = 0\mm
  %ragged-bottom = ##t
  %page-limit-inter-system-space = ##t
  %page-limit-inter-system-space-factor = 1.1
  %page-count = 1 % works but throws an error !
}

% -- Intro
themeA = {
  %\mark "themeA"
  \repeat unfold 2 { e8   e8    e'8   a,8   a'8 c,8   c'8 c,8 }
  \repeat unfold 2 { fis,8 fis8  fis'8 a,8   a'8 c,8  c'8 c,8 }
  \repeat unfold 1 { f,8   f8    f'8   a,8   a'8 c,8  c'8 c,8 }
}

themeBA = {
  %\mark "themeBA"
  a4. c4 b4 a8
  e'4    d8 c8~      c8 b8~     b8 c16 b16
  aes4   aes8 e'8~   e4         r4
  aes,4  aes8 e'8~   e8 aes,8   d8 f8
  f4     g8   f8~    f8 e8~     e8 f16 e16
}

themeBB = {
  %\mark "themeBB"
  d8~ d16 c16~   c8 d16 c16
}

themeC = {
  %\mark "themeC"
  fis4      fis8 c'8~  c8  b8   ees8 c8
  fis8 dis8 a'8 fis8   c'8 a8   e'8  c8
  a,4. c8  b4 a8 e'8~
  e2 r2
}

chordsBA = \chordmode {
  a1:m a1:m
  e1 e1
  d1:min d2:min
}

chordsC = \chordmode {
  r1.
  fis2.:min d2.
  e2. a2.
  d2. b2.
  cis2. fis2.:min
}

% Attention, transposition +2
fluteA = {
  %\mark "fluteA"
  b4. e4.     c4.~     c4   c16 b16
  a4. d4.     b4.~     b4   b16 a16
  g4. c4 b8   a4 g8    fis4 e8
  fis4. b4 a8 g4 \times 2/3 { fis16 g16 fis16 } e4 r8
}

arpeggioA = {
  %\mark "arpeggioA"
  \override Staff.Rest #'style = #'classical
  r2.^\markup { "Clarinette en H" }
     r4 r4 r8 r16 cis16

  a8--_\mf fis8 cis'8   a8-- fis8 d'8       a8-- fis8\< d'8      a8-- fis8 b8\!
  gis8--_\f e8 b'8      gis8-- e8 cis'8     a8-- e8 cis'8        a8-- e8 a8
  fis8--\< d8 a'8       fis8-- d8-- b'--\!  fis8--_\ff dis8 b'8  fis8-- dis8\> gis8
  eis8-- cis8\! gis'8   eis8--_\f cis8 a'8  fis8-- cis8\> a'8    fis8[ cis8 r16 cis'16_\p\!]
}

arpeggioB = {
  a8--_\mf^\markup { \rounded-box { B } }
     fis8 cis'8   a8-- fis8 d'8       a8-- fis8 d'8        a8-- fis8 b8
  gis8-- e8 b'8         gis8-- e8 cis'8     a8-- e8 cis'8        a8-- e8 a8
  fis8-- d8 a'8         fis8-- d8-- b'--    fis8-- dis8 b'8      fis8-- dis8 a'8
  fis8-- d8 a'8         fis8-- d8 gis8      f8-- cis8 gis'8      f8 cis8 cis'8]
}

bassA = {
  %\mark "bassA"
  e4.    e4.    a4.   a4.
  d,4.   d4.    g4.   g4.
  c,4.   c4.    fis4. fis4.
  dis4.  dis4.  e4.   e4.
}

% === et maintenant la partition proprement dite ======
\score
  {
  \new StaffGroup <<
  \set StaffGroup.systemStartDelimiter = #'SystemStartSquare
  \new ChordNames % ---- accords ----------------------
    {
    \set chordChanges = ##t

    % skip themeA
    R1*5

    % skip themeBA
    \chordsBA

    \chordmode {
      \repeat unfold 2 c1:dim
      \repeat unfold 2 a1:m
    }
    \chordsC
  }

  % -- La ligne d'aigues------------------------------------------------------
  \unfoldRepeats
  \new Staff {
    \tempo 4 = 120
    \set Staff.midiInstrument = "clarinet"
    \clef "G"
    \key c \major
    \override Staff.TimeSignature #'break-visibility = #end-of-line-invisible

    % FIXME; the F# before 12/8 always appears.
    \override Staff.KeySignature #'break-visibility = #begin-of-line-visible

    \time 4/4 \relative c    \themeA  \break % 5*4/4

    \time 4/4 \relative c''  \themeBA \break % 5*4/4
    \time 2/4 \relative c''  \themeBB        % 1*2/4

    \time 4/4 \relative c'   \themeC  \break % 4*4/4

    \set Staff.midiInstrument = "flute"
    % \set Staff.instrumentName = "Flute"
    \once \override Score.RehearsalMark #'self-alignment-X = #LEFT
    \time 12/8
    \transposition d'
    \key g \major
    r1.^\markup {
      \rounded-box { A } "Flûte"
    }
    \relative c'' \fluteA
  }

  \unfoldRepeats
  \new Staff
    {
    \tempo 4 = 120
    \set Staff.midiInstrument = "clarinet"
    \clef "G"
    \key a \major
    \transposition c

    R1*5 R1*5
    \time 2/4
    R2*1
    \time 4/4
    R1*4
    \time 12/8
    \once \override Score.RehearsalMark #'self-alignment-X = #LEFT
    \relative c'' \arpeggioA
    \relative c'' \arpeggioB
}

  \unfoldRepeats
  \new Staff
    {
    \tempo 4 = 120
    \set Staff.midiInstrument = "acoustic grand"
    \clef "F"
    \key g \major
    \transposition d'

    R1*5 R1*5
    \time 2/4
    R2*1
    \time 4/4
    R1*4
    \time 12/8
    r1.
    \relative c \bassA
    }
  >>

  \midi {
    % tempoWholesPerMinute = #(ly:make-moment 180 4)
    \context {
      \ChordNameVoice \remove Note_performer
    }
  }

  \layout {
    % Use per-staff \mark instead of per-score
    \context {
      \Score
        \remove "Mark_engraver"
        \remove "Staff_collecting_engraver"
    }
    \context {
      \RemoveEmptyStaffContext
    }
    \context {
      \Score
        \override VerticalAxisGroup #'remove-first = ##t
    }
    \context {
      \Staff
        \consists "Mark_engraver"
        \consists "Staff_collecting_engraver"
   }
  }
}
